import { selectors } from '@defencedigital/design-tokens';
var color = selectors.color;
var ALERT_VARIANT = {
  DANGER: 'danger',
  INFO: 'info',
  SUCCESS: 'success',
  WARNING: 'warning'
};
var ALERT_BACKGROUND_COLOR = color('neutral', 'white');
var ALERT_BORDER_COLOR = color('neutral', '100');
var ALERT_STATE_COLOR = color('action', '500');
var ALERT_TITLE_COLOR = color('neutral', '600');
var ALERT_ICON_COLOR = color('action', '500');
var ALERT_CLOSE_COLOR = color('neutral', '400');
var ALERT_CLOSE_COLOR_HOVER = color('neutral', '500');
var ALERT_CLOSE_BACKGROUND_COLOR = color('neutral', 'white');
var ALERT_CLOSE_BACKGROUND_COLOR_HOVER = color('neutral', '000');
var ALERT_DESCRIPTION_COLOR = color('neutral', '400');
var ALERT_FOOTER_BORDER_COLOR = color('neutral', '000');

// Danger
var DANGER_ALERT_BACKGROUND_COLOR = color('danger', '000');
var DANGER_ALERT_STATE_COLOR = color('danger', '500');
var DANGER_ALERT_TITLE_COLOR = color('danger', '800');
var DANGER_ALERT_ICON_COLOR = color('danger', '500');

// Success
var SUCCESS_ALERT_BACKGROUND_COLOR = color('success', '000');
var SUCCESS_ALERT_STATE_COLOR = color('success', '500');
var SUCCESS_ALERT_TITLE_COLOR = color('success', '900');
var SUCCESS_ALERT_ICON_COLOR = color('success', '600');

// Warning
var WARNING_ALERT_BACKGROUND_COLOR = color('warning', '000');
var WARNING_ALERT_STATE_COLOR = color('warning', '500');
var WARNING_ALERT_TITLE_COLOR = color('warning', '900');
var WARNING_ALERT_ICON_COLOR = color('warning', '600');
export { ALERT_VARIANT, ALERT_BACKGROUND_COLOR, ALERT_BORDER_COLOR, ALERT_STATE_COLOR, ALERT_TITLE_COLOR, ALERT_ICON_COLOR, ALERT_CLOSE_COLOR, ALERT_CLOSE_COLOR_HOVER, ALERT_CLOSE_BACKGROUND_COLOR, ALERT_CLOSE_BACKGROUND_COLOR_HOVER, ALERT_DESCRIPTION_COLOR, ALERT_FOOTER_BORDER_COLOR, DANGER_ALERT_BACKGROUND_COLOR, DANGER_ALERT_STATE_COLOR, DANGER_ALERT_TITLE_COLOR, DANGER_ALERT_ICON_COLOR, SUCCESS_ALERT_BACKGROUND_COLOR, SUCCESS_ALERT_STATE_COLOR, SUCCESS_ALERT_TITLE_COLOR, SUCCESS_ALERT_ICON_COLOR, WARNING_ALERT_BACKGROUND_COLOR, WARNING_ALERT_STATE_COLOR, WARNING_ALERT_TITLE_COLOR, WARNING_ALERT_ICON_COLOR };